diff --git a/fwts-test/srat-0001/acpidump-0001.log b/fwts-test/srat-0001/acpidump-0001.log
index 20f34595..ed58de1b 100644
--- a/fwts-test/srat-0001/acpidump-0001.log
+++ b/fwts-test/srat-0001/acpidump-0001.log
@@ -24,7 +24,7 @@ FACP @ 0x00000000
   00f0: 00 00 00 00                                      ....
 
 SRAT @ 0x00000000
-  0000: 53 52 41 54 e8 00 00 00 03 9e 41 4d 44 20 20 20  SRAT......AMD
+  0000: 53 52 41 54 08 01 00 00 03 9e 41 4d 44 20 20 20  SRAT......AMD
   0010: 46 41 4d 5f 46 5f 31 30 02 00 00 00 41 4d 44 20  FAM_F_10....AMD
   0020: 01 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00  ................
   0030: 00 10 00 00 01 00 00 00 00 00 00 00 00 00 00 00  ................
@@ -38,4 +38,6 @@ SRAT @ 0x00000000
   00b0: 01 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00  ................
   00c0: 01 28 00 00 00 00 00 00 00 00 00 00 01 00 00 00  .(..............
   00d0: 00 00 00 30 01 00 00 00 01 00 00 00 01 00 00 00  ...0............
-  00e0: 00 00 00 00 00 00 00 00  
+  00e0: 00 00 00 00 00 00 00 00 06 20 00 00 00 00 00 00  ................
+  00f0: 00 11 22 33 44 55 66 77 00 11 22 33 00 00 00 00  ................
+  0100: 00 00 00 00 00 00 00 00	                         ................
diff --git a/fwts-test/srat-0001/acpidump-0002.log b/fwts-test/srat-0001/acpidump-0002.log
index 1b33aace..7bc26870 100644
--- a/fwts-test/srat-0001/acpidump-0002.log
+++ b/fwts-test/srat-0001/acpidump-0002.log
@@ -24,7 +24,7 @@ FACP @ 0x00000000
   00f0: 00 00 00 00                                      ....
 
 SRAT @ 0x00000000
-  0000: 53 52 41 54 e8 00 00 00 03 9e 41 4d 44 20 20 20  SRAT......AMD
+  0000: 53 52 41 54 08 01 00 00 03 9e 41 4d 44 20 20 20  SRAT......AMD
   0010: 46 41 4d 5f 46 5f 31 30 02 00 00 00 41 4d 44 20  FAM_F_10....AMD
   0020: 01 00 00 00 07 00 00 00 00 00 00 00 00 00 00 00  ................
   0030: 00 10 00 00 09 00 00 00 00 00 00 00 00 00 00 00  ................
@@ -38,4 +38,6 @@ SRAT @ 0x00000000
   00b0: 0f 00 00 00 ff 00 00 00 00 00 00 00 00 00 00 00  ................
   00c0: 01 28 00 00 00 00 00 00 00 00 00 00 01 00 00 00  .(..............
   00d0: 00 00 00 30 01 00 00 00 01 00 00 00 08 00 00 00  ...0............
-  00e0: 00 00 00 00 00 00 00 00  
+  00e0: 00 00 00 00 00 00 00 00 06 20 01 01 00 00 00 00  ................
+  00f0: 01 02 03 04 00 00 00 00 ff ff ff ff ff ff ff ff  ................
+  0100: 00 00 00 00 00 00 00 ff	                         ................ 
diff --git a/fwts-test/srat-0001/srat-0001.log b/fwts-test/srat-0001/srat-0001.log
index 42e90ca9..6d541403 100644
--- a/fwts-test/srat-0001/srat-0001.log
+++ b/fwts-test/srat-0001/srat-0001.log
@@ -82,6 +82,19 @@ srat              Reserved:                 0x00000001
 srat              Flags:                    0x00000001
 srat              Reserved:                 0x0000000000000000
 srat            
+srat            SRAT Port Affinity Structure:
+srat              Type:                     0x06
+srat              Length:                   0x20
+srat              Reserved:                 0x00
+srat              Device Handle Type:       0x00
+srat              Proximity Domain:         0x00000000
+srat              Device Handle:
+srat                ACPI _HID:              0x7766554433221100
+srat                ACPI _UID:              0x33221100
+srat                Reserved:               0x00000000
+srat              Flags:                    0x00000000
+srat              Reserved:                 0x00000000
+srat            
 srat            PASSED: Test 1, No issues found in SRAT table.
 srat            
 srat            ==========================================================
diff --git a/fwts-test/srat-0001/srat-0002.log b/fwts-test/srat-0001/srat-0002.log
index e5bc0433..3523ed1d 100644
--- a/fwts-test/srat-0001/srat-0002.log
+++ b/fwts-test/srat-0001/srat-0002.log
@@ -93,8 +93,42 @@ srat
 srat            FAILED [HIGH] SRATReservedBitsNonZero: Test 1, SRAT Memory
 srat            Affinity Flags Bits [31..3] must be zero, got 0x00000008
 srat            instead
+srat            SRAT Port Affinity Structure:
+srat              Type:                     0x06
+srat              Length:                   0x20
+srat              Reserved:                 0x01
+srat              Device Handle Type:       0x01
+srat              Proximity Domain:         0x00000000
+srat            FAILED [MEDIUM] SRATReservedNonZero: Test 1, SRAT Port
+srat            Affinity Reserved field must be zero, got 0x01 instead
+srat              Device Handle:
+srat                PCI Segment:            0x0201
+srat                PCI BDF Number:         0x0403
+srat                Reserved:
+srat                  00 00 00 00 FF FF FF FF FF FF FF FF 
+srat            FAILED [MEDIUM] SRATReservedNonZero: Test 1, SRAT Port
+srat            Affinity Device Handle Reserved field must be all zero,
+srat            got below instead
+srat                Port Affinity Device Handle Reserved [00] = 0x00
+srat                Port Affinity Device Handle Reserved [01] = 0x00
+srat                Port Affinity Device Handle Reserved [02] = 0x00
+srat                Port Affinity Device Handle Reserved [03] = 0x00
+srat                Port Affinity Device Handle Reserved [04] = 0xff
+srat                Port Affinity Device Handle Reserved [05] = 0xff
+srat                Port Affinity Device Handle Reserved [06] = 0xff
+srat                Port Affinity Device Handle Reserved [07] = 0xff
+srat                Port Affinity Device Handle Reserved [08] = 0xff
+srat                Port Affinity Device Handle Reserved [09] = 0xff
+srat                Port Affinity Device Handle Reserved [10] = 0xff
+srat                Port Affinity Device Handle Reserved [11] = 0xff
+srat              Flags:                    0x00000000
+srat              Reserved:                 0xff000000
+srat            
+srat            FAILED [MEDIUM] SRATReservedNonZero: Test 1, SRAT Port
+srat            Affinity Reserved field must be zero, got 0xff000000
+srat            instead
 srat            
 srat            ==========================================================
-srat            0 passed, 4 failed, 0 warning, 0 aborted, 0 skipped, 0
+srat            0 passed, 7 failed, 0 warning, 0 aborted, 0 skipped, 0
 srat            info only.
 srat            ==========================================================